local collider  = require 'HardonCollider'
gmap = {}
local drawMaps = {
	require("map")
}
function gmap.colTrue(dt, objA, objB, mtv_x, mtv_y)
	if(objA == player.colRect and objB == gmap.allRect) then
		if(player.xSpeed > 0) then
			player.col = "right"
		end
		if(player.xSpeed < 0) then
			player.col = "left"
		end
		if(player.ySpeed > 0) then
			player.col = "down"
		end
		if(player.ySpeed < 0) then
			player.col = "up"
		end
	end
end
function gmap.colFalse(dt, objA, objB)
	player.col = "none"
end
function gmap.load()
	col = collider(100, gmap.colTrue, gmap.colFalse)
	player.colRect = col:addRectangle(player.x, player.y, player.width, player.height)
	gmap.allRect = col:addRectangle(128, 128, 32, 32)
end
function gmap.update(dt)
	drawMaps[1].update(dt)
	col:update(dt)
end
function gmap.plrUpd(dt)
	local rectX = player.x + player.width / 2
	local rectY = player.y + player.height / 2
	player.colRect:moveTo(rectX, rectY)
end
function gmap.draw()
	drawMaps[1].draw()
	gmap.allRect:draw('fill')
	love.graphics.setColor(120, 120, 0, 220)
	player.colRect:draw('fill')
	love.graphics.setColor(255, 255, 255, 220)
end
