player = {
	img = love.graphics.newImage('brick.png')
}
function player.load(this)
	this.width = 32
	this.height = 40
	this.x = 0
	this.y = 0
	this.xSpeed = 0
	this.ySpeed = 0
	this.xAcc = 300
	this.yAcc = 300
end
function player.update(this, dt)
	if(love.keyboard.isDown('a')) then
		this.xSpeed = -this.xAcc
	end
	if(love.keyboard.isDown('d')) then
		this.xSpeed = this.xAcc
	end
	if(love.keyboard.isDown('w')) then
		this.ySpeed = -this.yAcc
	end
	if(love.keyboard.isDown('s')) then
		this.ySpeed = this.yAcc
	end

	if(this.xSpeed ~= 0) then
		if(this.xSpeed > 0 and this.col ~= "right") then
			this.x = this.x + this.xSpeed * dt
		end
		if(this.xSpeed < 0 and this.col ~= "left") then
			this.x = this.x + this.xSpeed * dt
		end
	end
	if(this.ySpeed ~= 0 and this.col ~= "up") then
		if(this.ySpeed < 0) then
			this.y = this.y + this.ySpeed * dt
		end
		if(this.ySpeed > 0 and this.col ~= "down") then
			this.y = this.y + this.ySpeed * dt
		end
	end
	
	if not(love.keyboard.isDown('a') or love.keyboard.isDown('d')) then
		if(this.xSpeed ~= 0) then
			this.xSpeed = 0
		end
	end
	if not(love.keyboard.isDown('w') or love.keyboard.isDown('s')) then
		if(this.ySpeed ~= 0) then
			this.ySpeed = 0
		end
	end
end
function player.draw(this, dt)
	love.graphics.draw(player.img, this.x, this.y)
end